IG User Instagram-Backed Threads User
Updated: Jul 11, 2025
Represents a Threads account backed by an Instagram account.
You cannot log into Instagram-backed Threads accounts to manage posts.
Requirements
| Type | Description |
|---|---|
If the app user was granted a role via the Business Manager on the Page connected to your app user’s Instagram professional account, your app will also need one of: | |
A Facebook User access token. |
Limitations
- You need to have at least an Advertiser role on the Page that is linked to your Instagram account; Manager or Content Creator also work. Or you need to have the Instagram account connected to a business account where you have appropriate roles.
- If you want to use this Threads account ID for Threads ads creation, make sure your Instagram account has the correct ads creation identity setup, either business-claimed Instagram account or page-connected Instagram account.
- An Instagram account can have only one Instagram-backed Threads account. Verify whether a specific Instagram accounts has an Instagram-backed Threads account before attempting to create a new one. If one already exists, use that one.
Reading
GET /{ig-user-id}/instagram_backed_threads_userYou can make an API request to get the Instagram-backed Threads account ID.
Sample request
curl -G \
-d "access_token=<ACCESS_TOKEN>"\
-d "fields=threads_user_id" \
"https://graph.facebook.com/v25.0/<IG_USER_ID>/instagram_backed_threads_user"
Sample response
{ "data": [ { "threads_user_id": "<THREADS_USER_ID>", } ], }
Creating
POST /{ig-user-id}/instagram_backed_threads_userYou can make an API call to create an Instagram-backed Threads account specifically for running ads on Threads.
Sample request
curl \
-F "access_token=<ACCESS_TOKEN>"\
"https://graph.facebook.com/v25.0/<IG_USER_ID>/instagram_backed_threads_user"
Sample response
{ "data": [ { "threads_user_id": "<THREADS_USER_ID>", } ], }
Updating
This operation is not supported.
Deleting
This operation is not supported.